#
# Example spec file for cdplayer app...
#
Summary: Sony Vaio SPIC Control Program
Name: spicctrl
Version: 1.6.1
Release: 0mdk
Copyright: GPL
Group: Applications/System
BuildRoot: %{_builddir}/%{name}-root
Source: http://popies.net/sonypi/spicctrl-%{version}.tar.bz2
URL: http://popies.net/sonypi/
Vendor: Stelian Pop <stelian@popies.net>

%description
This utility allows one to query and set a variety of parameters on your
Sony Vaio laptop computer, including:

 * AC Power status
 * Battery status 
 * Screen brightness
 * Bluetooth device power status

%prep
%setup 
%build
make
%clean
rm -rf $RPM_BUILD_ROOT
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install %{_builddir}/%{name}-%{version}/spicctrl $RPM_BUILD_ROOT/usr/sbin
%post
if [ ! -c /dev/sonypi ]; then
	rm -f /dev/sonypi
	mknod /dev/sonypi c 10 250
fi
grep 'alias char-major-10-250 sonypi' /etc/modules.conf > /dev/null
RETVAL=$?
if [ $RETVAL -ne 0 ]; then
	echo 'alias char-major-10-250 sonypi' >> /etc/modules.conf
	echo 'options sonypi minor=250' >> /etc/modules.conf
fi
%files
%attr(0755,root,root) /usr/sbin/spicctrl
%doc %attr(0644,root,root) AUTHORS
%doc %attr(0444,root,root) LICENSE
%doc %attr(0444,root,root) CHANGES

%changelog
* Wed Jan 21 2004 Nicolas Brouard <nbrouard@linux-mandrake.com> 1.6.1-0mdk 
- New release (see sonypid sonypidd new complementary packages)

* Wed Feb 19 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.5-2mdk
- Rebuilt (Grrrr...).

* Wed Feb 19 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.5-1mdk
- Release: 1.5.

* Thu Aug 01 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.3-1mdk
- initial release.
